function [T,X] = IVP_solve(order,x0,t0,h,tE,ode_func)

    global A b c

    % Build the Gauss-Legendre quadrature
    s           = ceil(order/2);
    true_order  = 2*s
    
    [A,b,c] = Gauss_Tableau(ceil(order/2));

    
    % initialize IVP 
    t = t0;
    x = x0;
    
    T = [t];
    X = [x];
    
    
    % Notice: Here I do not write @ode_func because the at is already in
    % front of the inpout argument of my IVP_solve call.
    
    while(t<tE-h)
        [t,x] = SingleStep(x,t,h,ode_func);
        T = [T,t];
        X = [X,x];
    end

    h = tE - t;
    [t,x] = SingleStep(x,t,h,ode_func);
    T = [T,t];
    X = [X,x];

end