function [g] = StabPolyCoefficients(A,b,c)

    % Author:   Martin Neuenhofen
    % Date:     somewhen in 2013
    %
    % This code is distributed without any warranty. The following is only
    % a describtion what the program 'should' do but not necessarily what
    % it actually and only does.
    %
    % this is an auxiliary routine to compute the coefficients of the
    % stability polynomial from the Butcher tableau

    s = size(b,2);
    p = 2*s;
    
    g = zeros(1,p);
    
    d = ones(s,1);
    
    for j=0:p-1
        g(1,j+1) = b * d;
        d = A * d;
    end

end