function [] = TestCase(lambda_in,order,H)

    % Author:   Martin Neuenhofen
    % Date:     somewhen in 2013
    %
    % This code is distributed without any warranty. The following is only
    % a describtion what the program 'should' do but not necessarily what
    % it actually and only does.
    %
    
    % Exponentialfunction
    global lambda
    lambda = lambda_in;
    
    % Initialwerte
    x0 = 1;
    t0 = 0;
    tE = 1;
    h  = H(1);
    
    % Exakte Lsung
    T_exact = [t0:h*1e-3:tE];
    X_exact = x0 * exp(lambda * T_exact);
    
    
    figure;
    hold on;
    plot(T_exact,X_exact,'blue');
    
    L = size(H,2);
    x_L = zeros(1,L);
    for i=1:L
        [T,X] = IVP_solve(order,x0,t0,H(i),tE,@f);
        plot(T,X,'red.-');
        x_L(i) = abs( X(1,size(X,2)) - x0 * exp(lambda * tE) );
    end
    axis( [0,1,-0.2,max(x0 * exp(lambda * tE)*1.1 , 1.1)] );
    
    if(L > 2)
        figure;
        loglog(H,x_L);
        hold on;
        xlabel('size h');
        ylabel('size error')
        title('Convergence order study');
        for i=0:5:40
            loglog([H(1),H(1)*1e-1],[x_L(1),x_L(1) * 10^(-i)],'black');
        end
    end
    
end

function [dx] = f(~,x)
    global lambda
    dx = lambda * x;
end